This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 190657 - selinux-policy-targeted breaks many third party applications
selinux-policy-targeted breaks many third party applications
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-04 05:41 EDT by David Mohring
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-28 16:05:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Mohring 2006-05-04 05:41:58 EDT
Description of problem:

selinux-policy-targeted break Adobe's reader, Real's Realplayer and plenty of
other third party applications. You need to use "chcon -t textrel_shlib_t " on
the said application's dynamic modules to get them to run.

Version-Release number of selected component (if applicable):

selinux-policy-2.2.34-3.fc5

How reproducible:

Adobe fails all the time. Realplayer fails on vorbis and video formats.

Steps to Reproduce:
1. Install Application's RPM 
2. Run application from command line
3. "Permission denied"
  
Actual results:

acroread
/usr/local/Adobe/Acrobat7.0/Reader/intellinux/bin/acroread: error while loading
shared libraries: /usr/local/Adobe/Acrobat7.0/Reader/intellinux/lib/libJP2K.so:
cannot restore segment prot after reloc: Permission denied

Expected results:

Should run.

Additional info:

-- /var/log/messages
May  4 20:52:56 heretic kernel: audit(1146732776.760:603): avc:  denied  {
execmod } for  pid=6174 comm="acroread" name="libJP2K.so" dev=dm-0 ino=721816
scontext=user_u:system_r:unconfined_t:s0 tcontext=system_u:object_r:lib_t:s0
tclass=file
--- 

Workaround: As root run
> chcon -t textrel_shlib_t /usr/local/Adobe/Acrobat7.0/Reader/intellinux/lib/lib*

Adobe will work fine.

If the targeted policy  { execmod } is going to enforce this by default then you
need to get in contact with Adobe/Real and other developers and package makers
to apply "chcon -t textrel_shlib_t " in the postinst RPM scripts.


To get Realplayer 10 working, as root ..
>chcon -t textrel_shlib_t /usr/local/RealPlayer/codecs/*.so
>chcon -t textrel_shlib_t /usr/local/RealPlayer/codecs/*.so.*
>chcon -t textrel_shlib_t /usr/local/RealPlayer/plugins/*.so
Comment 2 Daniel Walsh 2006-05-09 13:18:21 EDT
fixed in selinux-policy-2.2.38-1.FC5
Comment 3 Daniel Walsh 2007-03-28 16:05:37 EDT
Closing bugs

Note You need to log in before you can comment on or make changes to this bug.